Package fr.gouv.vitam.storage.offers.tape.dto

# Class TapeLibraryState

java.lang.Object
fr.gouv.vitam.storage.offers.tape.dto.TapeLibraryState

All Implemented Interfaces:
  `TapeLibrarySpec`

public class TapeLibraryState extends Object implements TapeLibrarySpec

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapeLibraryState()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TapeDrive>`
  `addToDrives(TapeDrive tapeDrive)`
  `List<TapeSlot>`
  `addToSlots(TapeSlot tapeSlot)`
  `String`
  `getDevice()`
  `int`
  `getDriveCount()`
  `List<TapeDrive>`
  `getDrives()`
  `int`
  `getMailBoxCount()`
  `List<TapeSlot>`
  `getSlots()`
  `int`
  `getSlotsCount()`
  `void`
  `setDevice(String device)`
  `void`
  `setDriveCount(int driveCount)`
  `void`
  `setDrives(List<TapeDrive> drives)`
  `void`
  `setMailBoxCount(int mailBoxCount)`
  `void`
  `setSlots(List<TapeSlot> slots)`
  `void`
  `setSlotsCount(int slotsCount)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TapeLibraryState

    public TapeLibraryState()

- ## Method Details

  - ### getDevice

    public String getDevice()
    Specified by:
      `getDevice` in interface `TapeLibrarySpec`

  - ### setDevice

    public void setDevice(String device)

  - ### getDriveCount

    public int getDriveCount()
    Specified by:
      `getDriveCount` in interface `TapeLibrarySpec`

  - ### setDriveCount

    public void setDriveCount(int driveCount)

  - ### getSlotsCount

    public int getSlotsCount()
    Specified by:
      `getSlotsCount` in interface `TapeLibrarySpec`

  - ### setSlotsCount

    public void setSlotsCount(int slotsCount)

  - ### getMailBoxCount

    public int getMailBoxCount()
    Specified by:
      `getMailBoxCount` in interface `TapeLibrarySpec`

  - ### setMailBoxCount

    public void setMailBoxCount(int mailBoxCount)

  - ### getDrives

    public List<TapeDrive> getDrives()
    Specified by:
      `getDrives` in interface `TapeLibrarySpec`

  - ### setDrives

    public void setDrives(List<TapeDrive> drives)

  - ### getSlots

    public List<TapeSlot> getSlots()
    Specified by:
      `getSlots` in interface `TapeLibrarySpec`

  - ### setSlots

    public void setSlots(List<TapeSlot> slots)

  - ### addToDrives

    public List<TapeDrive> addToDrives(TapeDrive tapeDrive)

  - ### addToSlots

    public List<TapeSlot> addToSlots(TapeSlot tapeSlot)